View Issue Details

IDProjectCategoryView StatusLast Update
0002163Far ManagerMacropublic2013-01-26 13:14
ReportervskirdinAssigned Toshmuel 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version3.0 
Target Version3.0Fixed in Version3.0 
Summary0002163: LUA: не работает флаг DisableOutput
DescriptionФайл Panel.JumpToSelectedFile.farconfig из Addons`ов преобразуем в LUA:

<macro area="Shell" key="CtrlShiftDown" flags="DisableOutput|Selection"
...
</macro>

Вваливаемся в каталог, например в svn с сорцами тройки.
Отмечаем пару файлов в середине.
Становимся на последний отмеченный файл (ну или в конец списка, все равно)
CtrlShiftHome
CtrlShiftEnd
...
На экране непонятные телодвижения (непредвиденная прорисовка в виде "прыжка" в начало списка, отрисовка, курсор ставится на первый отмеченный файл с отрисовкой), хотя отрисовка запрещена (flags="DisableOutput")
TagsNo tags attached.
Build2967

Relationships

child of 0002235 closedshmuel Вызов функций LuaMacro приводит к перерисовке панели, несмотря на флаг запрета вывода на экран 

Activities

NightRoman

2012-10-04 13:57

reporter   bugnote:0009580

Те же симптомы наблюдаются в редакторе. Надеюсь, что причины те же, что и у этого инца, поэтому пока подробности не указываю, может, проблема уйдет "сама". Но если нет, то открою новый тикет.

PS Лично для меня проблема эта не только визульная. В PowerShellFar у меня написана куча тестов с применением шагов-макросов и последующих проверок результатов в PowerShell. Несколько тестов с проверкой цветов в редакторе отвалились. Есть подозрение, что это DisableOutput не работает, и тесты проверяют цвета, которые не ожидались быть отрисованными во время макроса, но рисуются теперь и успевают быть проверенными.

shmuel

2012-11-16 13:14

developer   bugnote:0009734

> Но если нет, то открою новый тикет.

Или открой новый, или добавь свои юз-кейсы здесь.

NightRoman

2012-11-16 13:53

reporter   bugnote:0009735

Они сложные. И если проблема уйдет автоматом (есть надежда), то время на это тратить нерационально.

shmuel

2012-11-22 00:26

developer   bugnote:0009748

2966.

DAtaMan

2012-11-22 01:35

reporter   bugnote:0009749

Last edited: 2012-11-22 01:36

View 2 revisions

В macro.cpp:5088 опять вернулась ShellUpdatePanels(SelPanel) :(
Это так необходимо?
Изменение было связано с 0001538

shmuel

2012-11-22 02:07

developer   bugnote:0009750

2967.

shmuel

2012-12-25 15:31

developer   bugnote:0009900

vskirdin
Почему держишь на фидбеке уже больше месяца, ведь это поправлено в 2967 ?

vskirdin

2012-12-26 00:00

administrator   bugnote:0009901

мне есть с кого брать пример ;-)

shmuel

2012-12-26 00:16

developer   bugnote:0009902

> мне есть с кого брать пример ;-)
Если ты думаешь, что я понял, то это не так.

Подожду ещё какое-то небольшое время. Тикет стоит на фидбеке, то-есть должно быть либо обоснованное возражение, что заявленная проблема не исправлена, либо перевод статуса в "resolved".

Issue History

Date Modified Username Field Change
2012-10-01 16:42 vskirdin New Issue
2012-10-04 13:57 NightRoman Note Added: 0009580
2012-11-16 13:14 shmuel Note Added: 0009734
2012-11-16 13:53 NightRoman Note Added: 0009735
2012-11-22 00:26 shmuel Note Added: 0009748
2012-11-22 00:26 shmuel Assigned To => shmuel
2012-11-22 00:26 shmuel Status new => feedback
2012-11-22 01:35 DAtaMan Note Added: 0009749
2012-11-22 01:36 DAtaMan Note Edited: 0009749 View Revisions
2012-11-22 02:07 shmuel Note Added: 0009750
2012-12-25 15:28 vskirdin Relationship added child of 0002235
2012-12-25 15:31 shmuel Note Added: 0009900
2012-12-26 00:00 vskirdin Note Added: 0009901
2012-12-26 00:00 vskirdin Status feedback => assigned
2012-12-26 00:16 shmuel Note Added: 0009902
2012-12-26 00:16 shmuel Status assigned => feedback
2013-01-26 13:14 shmuel Build => 2967
2013-01-26 13:14 shmuel Status feedback => closed
2013-01-26 13:14 shmuel Resolution open => fixed
2013-01-26 13:14 shmuel Fixed in Version => 3.0